Skip to main content
`Ctrl`+`K`

# PetscFunctionListDestroy

Destroys a list of registered routines.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFunctionListDestroy(PetscFunctionList *fl)

## Input Parameter

- fl - pointer to list

## See Also

`PetscFunctionListAdd()`, `PetscFunctionList`, `PetscFunctionListClear()`

## Level

developer

## Location

src/sys/dll/reg.c

## Examples

src/ksp/ksp/tutorials/ex74.c
src/ts/tutorials/ex8.c
src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ts/tutorials/ex9.c
src/ts/tutorials/ex11.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages